Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1884466 - python3-service-identity: build for epel7
Summary: python3-service-identity: build for epel7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-service-identity
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-02 04:48 UTC by Carl George 🤠
Modified: 2020-11-30 01:22 UTC (History)
5 users (show)

Fixed In Version: python-service-identity-18.1.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-30 01:22:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Carl George 🤠 2020-10-02 04:48:32 UTC
Description of problem:
python3-service-identity is not available for epel7.

Additional info:
I maintain python-trustme, and I received a request to build it for epel7.  It only has a python3 subpackage, not a python2 one.  One of the build requirements is python3-service-identity.  I'm happy to handle this myself if added as a co-maintainer.

I noticed there is a bohdi update for epel7, but it only includes the python2 subpackage, and is not installable due to python-characteristic not being available.  The Fedora branches no longer depend on that package, so I imagine syncing that up will resolve the issue.

Comment 1 Robert-André Mauchin 🐧 2020-11-14 17:08:17 UTC
(In reply to Carl George 🤠 from comment #0)
> Description of problem:
> python3-service-identity is not available for epel7.
> 
> Additional info:
> I maintain python-trustme, and I received a request to build it for epel7. 
> It only has a python3 subpackage, not a python2 one.  One of the build
> requirements is python3-service-identity.  I'm happy to handle this myself
> if added as a co-maintainer.
> 
> I noticed there is a bohdi update for epel7, but it only includes the
> python2 subpackage, and is not installable due to python-characteristic not
> being available.  The Fedora branches no longer depend on that package, so I
> imagine syncing that up will resolve the issue.

I added you as a coadmin so you can package it for EPEL7, is it okay for you?

Comment 2 Fedora Update System 2020-11-14 20:01:49 UTC
FEDORA-EPEL-2020-67dd5bb7ec has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-67dd5bb7ec

Comment 3 Fedora Update System 2020-11-15 02:02:14 UTC
FEDORA-EPEL-2020-67dd5bb7ec has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-67dd5bb7ec

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-11-30 01:22:31 UTC
FEDORA-EPEL-2020-67dd5bb7ec has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.